condenser_api.get_ops_in_block
Purpose
Retourne toutes les opérations contenues dans un bloc (block). Paramètres : block_num:int ; only_virtual:boolean
block_num (int) | only_virtual (boolean) | |
|---|---|---|
1 | false | Interroge les opérations du bloc #1. |
5443322 | true | Interroge uniquement les opérations virtuelles du bloc #5 443 322. |
Voir aussi : account_history_api.get_ops_in_block
Parameters
PARAMETERS
json
[
0,
false
]Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_ops_in_block",
"params": [
1,
false
],
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_ops_in_block",
"params": [
5443322,
true
],
"id": 1
}'Response
RESPONSE
json
[
{
"trx_id": "0000000000000000000000000000000000000000",
"block": 0,
"trx_in_block": 0,
"op_in_trx": 0,
"virtual_op": 0,
"timestamp": "2016-10-01T06:31:24",
"op": [
"producer_reward",
{
"producer": "",
"vesting_shares": "0.000000 VESTS"
}
]
}
]